> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List Legacy Request Fulfillments

GET https://{tenant_name}.benchling.com/api/v2/request-fulfillments

List Legacy Request Fulfillments

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/legacy-requests/list-request-fulfillments

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `entryId` (string, required)
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)

## Response

### 200

OK

- `nextToken` (string, optional)
- `requestFulfillments` (list of RequestFulfillment, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### RequestFulfillment

A Legacy Request fulfillment represents work that is done which changes the status of a request or a sample group within that request. Fulfillments are created when state changes between IN_PROGRESS, COMPLETED, or FAILED statuses. Fulfillments do not capture a PENDING state because all Legacy Requests or Legacy Request Sample Groups are considered PENDING until the first corresponding fulfillment is created.

- `createdAt` (datetime, optional) — Date and time the Legacy Request Fulfillment was created
- `entryId` (string, optional) — ID of the entry this Legacy Request Fulfillment was executed in, if any
- `id` (string, optional) — ID of the Legacy Request Fulfillment
- `modifiedAt` (datetime, optional) — DateTime the Legacy Request Fulfillment was last modified
- `requestId` (string, optional) — ID of the Legacy Request this fulfillment fulfills
- `sampleGroup` (SampleGroup, optional, nullable) — The Legacy Request Sample Group this fulfillment was executed upon, if any.
- `status` (enum, optional) — Status of a sample group
  - Allowed values: `IN_PROGRESS`, `COMPLETED`, `FAILED`

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### SampleGroup

Represents a sample group that is an input to a request. A sample group is a set of samples upon which work in the request should be done.

- `id` (string, optional)
- `samples` (SampleGroupSamples, optional)

### SampleGroupSamples

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "requestFulfillments": [
    {
      "createdAt": "2024-01-15T09:30:00Z",
      "entryId": "etr_IKwdYx31",
      "id": "reqffm_8Hm71Usw",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "requestId": "req_pu9caSiv",
      "sampleGroup": {
        "id": "string",
        "samples": {}
      },
      "status": "IN_PROGRESS"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/request-fulfillments"

querystring = {"entryId":"etr_IKwdYx31","modifiedAt":"> 2022-03-01 AND < 2022-04-01","nextToken":"Im5ldyB0ZXN0Ig=="}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/request-fulfillments?entryId=etr_IKwdYx31&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01&nextToken=Im5ldyB0ZXN0Ig%3D%3D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```